## org.apache.batik.svggen
Interface StyleHandler

All Known Implementing Classes:
  DefaultStyleHandler

public interface StyleHandler

The `StyleHandler` interface allows you to specialize how the style will be set on an SVG `Element`.

Method Summary
`void` `setStyle(org.w3c.dom.Element element, java.util.Map styleMap, SVGGeneratorContext generatorContext)` Sets the style described by `styleMap` on the given `element`.

Method Detail

### setStyle

    public void setStyle(org.w3c.dom.Element element,
                         java.util.Map styleMap,
                         SVGGeneratorContext generatorContext)

  Sets the style described by `styleMap` on the given `element`.

  Parameters:
    `element` - the SVG `Element` to be styled.
    `styleMap` - the `Map` containing pairs of style property names, style values.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.